/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>USV11MUC0602</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>USV11MUC0602.createInstance()</code> or <code>new USV11MUC0602()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Unmanned Surface Vehicle (USV) = <code>19</code>; </li>
 *     <li> SubCategory: FleetClassUSV  = <code>1</code>; </li>
 *     <li> Specific: USV11MUC0602  = <code>2</code>; </li>
 *     <li> Entity type uid: 28692; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v33-DRAFT-20231217-d10 (2023-12-17)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@36211bbc. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see UnmannedSurfaceVehicleUSV
 * @see SubCategory

 */
public final class USV11MUC0602 extends EntityType
{
    /** Default constructor */
    public USV11MUC0602()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)19); // uid 28689, Unmanned Surface Vehicle (USV)
        setSubCategory((byte)1); // uid 28690, Fleet Class USV
        setSpecific((byte)2); // uid 28692, USV 11MUC0602
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static USV11MUC0602 createInstance()
    {
            return new USV11MUC0602();
    }
}
