/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 671,
 * marshal size 16;
 * ActionSequenceType has 64 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum ActionSequenceType 
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** Not Specified */
    // autogenerated using string template disenumpart2.txt
    NOT_SPECIFIED (0, "Not Specified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Standing Up Unspecified */
    // autogenerated using string template disenumpart2.txt
    STANDING_UP_UNSPECIFIED (1, "Standing Up Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Standing Up Using Only Hands */
    // autogenerated using string template disenumpart2.txt
    STANDING_UP_USING_ONLY_HANDS (2, "Standing Up Using Only Hands"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Standing Up Using Only Knees */
    // autogenerated using string template disenumpart2.txt
    STANDING_UP_USING_ONLY_KNEES (3, "Standing Up Using Only Knees"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Standing Up Using Only Elbows */
    // autogenerated using string template disenumpart2.txt
    STANDING_UP_USING_ONLY_ELBOWS (4, "Standing Up Using Only Elbows"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Kip Up */
    // autogenerated using string template disenumpart2.txt
    KIP_UP (99, "Kip Up"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Falling Down Unspecified */
    // autogenerated using string template disenumpart2.txt
    FALLING_DOWN_UNSPECIFIED (100, "Falling Down Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Falling Down Face First */
    // autogenerated using string template disenumpart2.txt
    FALLING_DOWN_FACE_FIRST (101, "Falling Down Face First"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Falling Down Backward */
    // autogenerated using string template disenumpart2.txt
    FALLING_DOWN_BACKWARD (102, "Falling Down Backward"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Falling Down Left Side */
    // autogenerated using string template disenumpart2.txt
    FALLING_DOWN_LEFT_SIDE (103, "Falling Down Left Side"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Falling Down Right Side */
    // autogenerated using string template disenumpart2.txt
    FALLING_DOWN_RIGHT_SIDE (104, "Falling Down Right Side"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Falling Down Crumpling */
    // autogenerated using string template disenumpart2.txt
    FALLING_DOWN_CRUMPLING (105, "Falling Down Crumpling"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Kneeling Unspecified */
    // autogenerated using string template disenumpart2.txt
    KNEELING_UNSPECIFIED (200, "Kneeling Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Kneeling Both/Rear Knees */
    // autogenerated using string template disenumpart2.txt
    KNEELING_BOTH_REAR_KNEES (201, "Kneeling Both/Rear Knees"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Kneeling Right Knee */
    // autogenerated using string template disenumpart2.txt
    KNEELING_RIGHT_KNEE (202, "Kneeling Right Knee"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Kneeling Left Knee */
    // autogenerated using string template disenumpart2.txt
    KNEELING_LEFT_KNEE (203, "Kneeling Left Knee"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Kneeling All Knees For 4 Legged Lifeform */
    // autogenerated using string template disenumpart2.txt
    KNEELING_ALL_KNEES_FOR_4_LEGGED_LIFEFORM (204, "Kneeling All Knees For 4 Legged Lifeform"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crouching Bending */
    // autogenerated using string template disenumpart2.txt
    CROUCHING_BENDING (205, "Crouching Bending"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crouching Squatting */
    // autogenerated using string template disenumpart2.txt
    CROUCHING_SQUATTING (206, "Crouching Squatting"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Unspecified */
    // autogenerated using string template disenumpart2.txt
    WALKING_UNSPECIFIED (300, "Walking Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Unheeded */
    // autogenerated using string template disenumpart2.txt
    WALKING_UNHEEDED (301, "Walking Unheeded"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Careful */
    // autogenerated using string template disenumpart2.txt
    WALKING_CAREFUL (302, "Walking Careful"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Tip Toe */
    // autogenerated using string template disenumpart2.txt
    WALKING_TIP_TOE (303, "Walking Tip Toe"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Backwards */
    // autogenerated using string template disenumpart2.txt
    WALKING_BACKWARDS (304, "Walking Backwards"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Upstairs */
    // autogenerated using string template disenumpart2.txt
    WALKING_UPSTAIRS (305, "Walking Upstairs"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Downstairs */
    // autogenerated using string template disenumpart2.txt
    WALKING_DOWNSTAIRS (306, "Walking Downstairs"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Limping */
    // autogenerated using string template disenumpart2.txt
    WALKING_LIMPING (307, "Walking Limping"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Dragging Injured Unspecified Leg */
    // autogenerated using string template disenumpart2.txt
    WALKING_DRAGGING_INJURED_UNSPECIFIED_LEG (308, "Walking Dragging Injured Unspecified Leg"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Dragging Injured Right Leg */
    // autogenerated using string template disenumpart2.txt
    WALKING_DRAGGING_INJURED_RIGHT_LEG (309, "Walking Dragging Injured Right Leg"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Walking Dragging Injured Left Leg */
    // autogenerated using string template disenumpart2.txt
    WALKING_DRAGGING_INJURED_LEFT_LEG (310, "Walking Dragging Injured Left Leg"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Running Unspecified */
    // autogenerated using string template disenumpart2.txt
    RUNNING_UNSPECIFIED (400, "Running Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Running Full */
    // autogenerated using string template disenumpart2.txt
    RUNNING_FULL (401, "Running Full"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Running Jogging */
    // autogenerated using string template disenumpart2.txt
    RUNNING_JOGGING (402, "Running Jogging"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Running Backwards */
    // autogenerated using string template disenumpart2.txt
    RUNNING_BACKWARDS (403, "Running Backwards"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Running Upstairs */
    // autogenerated using string template disenumpart2.txt
    RUNNING_UPSTAIRS (404, "Running Upstairs"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Running Downstairs */
    // autogenerated using string template disenumpart2.txt
    RUNNING_DOWNSTAIRS (405, "Running Downstairs"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crawling Unspecified */
    // autogenerated using string template disenumpart2.txt
    CRAWLING_UNSPECIFIED (500, "Crawling Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crawling Hands And Knees */
    // autogenerated using string template disenumpart2.txt
    CRAWLING_HANDS_AND_KNEES (501, "Crawling Hands And Knees"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crawling Elbows */
    // autogenerated using string template disenumpart2.txt
    CRAWLING_ELBOWS (502, "Crawling Elbows"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crawling Hands Dragging Feet */
    // autogenerated using string template disenumpart2.txt
    CRAWLING_HANDS_DRAGGING_FEET (503, "Crawling Hands Dragging Feet"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Vomiting Unspecified */
    // autogenerated using string template disenumpart2.txt
    VOMITING_UNSPECIFIED (600, "Vomiting Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Vomiting Hands And Knees */
    // autogenerated using string template disenumpart2.txt
    VOMITING_HANDS_AND_KNEES (601, "Vomiting Hands And Knees"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Vomiting Bending Over */
    // autogenerated using string template disenumpart2.txt
    VOMITING_BENDING_OVER (602, "Vomiting Bending Over"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Eating Unspecified */
    // autogenerated using string template disenumpart2.txt
    EATING_UNSPECIFIED (700, "Eating Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Drinking Unspecified */
    // autogenerated using string template disenumpart2.txt
    DRINKING_UNSPECIFIED (750, "Drinking Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sleeping Unspecified */
    // autogenerated using string template disenumpart2.txt
    SLEEPING_UNSPECIFIED (800, "Sleeping Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Breathing Unspecified */
    // autogenerated using string template disenumpart2.txt
    BREATHING_UNSPECIFIED (900, "Breathing Unspecified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Breathing Hard */
    // autogenerated using string template disenumpart2.txt
    BREATHING_HARD (901, "Breathing Hard"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Breathing Slow */
    // autogenerated using string template disenumpart2.txt
    BREATHING_SLOW (902, "Breathing Slow"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Breathing Panting */
    // autogenerated using string template disenumpart2.txt
    BREATHING_PANTING (903, "Breathing Panting"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Urinating */
    // autogenerated using string template disenumpart2.txt
    URINATING (910, "Urinating"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Defecating */
    // autogenerated using string template disenumpart2.txt
    DEFECATING (920, "Defecating"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Mounting a Vehicle */
    // autogenerated using string template disenumpart2.txt
    MOUNTING_A_VEHICLE (1000, "Mounting a Vehicle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dismounting a Vehicle */
    // autogenerated using string template disenumpart2.txt
    DISMOUNTING_A_VEHICLE (2000, "Dismounting a Vehicle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Firing/Using a Portable Weapon (including knives) */
    // autogenerated using string template disenumpart2.txt
    FIRING_USING_A_PORTABLE_WEAPON_INCLUDING_KNIVES (3000, "Firing/Using a Portable Weapon (including knives)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Throwing a Portable Weapon Object */
    // autogenerated using string template disenumpart2.txt
    THROWING_A_PORTABLE_WEAPON_OBJECT (4000, "Throwing a Portable Weapon Object"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Using Carried Equipment */
    // autogenerated using string template disenumpart2.txt
    USING_CARRIED_EQUIPMENT (5000, "Using Carried Equipment"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Using Other Equipment (Not Operating a Vehicle) */
    // autogenerated using string template disenumpart2.txt
    USING_OTHER_EQUIPMENT_NOT_OPERATING_A_VEHICLE (10000, "Using Other Equipment (Not Operating a Vehicle)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Operating a Vehicle */
    // autogenerated using string template disenumpart2.txt
    OPERATING_A_VEHICLE (11000, "Operating a Vehicle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Riding a Lifeform */
    // autogenerated using string template disenumpart2.txt
    RIDING_A_LIFEFORM (12000, "Riding a Lifeform"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Mounting a Lifeform */
    // autogenerated using string template disenumpart2.txt
    MOUNTING_A_LIFEFORM (13000, "Mounting a Lifeform"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dismounting a Lifeform */
    // autogenerated using string template disenumpart2.txt
    DISMOUNTING_A_LIFEFORM (14000, "Dismounting a Lifeform"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Reloading a Portable Weapon */
    // autogenerated using string template disenumpart2.txt
    RELOADING_A_PORTABLE_WEAPON (15000, "Reloading a Portable Weapon"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Reloading a Non Portable Weapon */
    // autogenerated using string template disenumpart2.txt
    RELOADING_A_NON_PORTABLE_WEAPON (17000, "Reloading a Non Portable Weapon");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    ActionSequenceType(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 16;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static ActionSequenceType getEnumForValue(int value)
    {
       for (ActionSequenceType nextEnum : ActionSequenceType.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum ActionSequenceType");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_16.txt

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeShort(getValue());
    }

    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.putShort((short)getValue());
    }
    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static ActionSequenceType unmarshalEnum (DataInputStream dis) throws Exception
    {
        return getEnumForValue(dis.readUnsignedShort());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static ActionSequenceType unmarshalEnum (ByteBuffer byteBuffer) throws Exception
    {
        return getEnumForValue(byteBuffer.getShort());
    }   

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 2; // 16 bits
    }
    
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

  /**
   * Provide simple identifier
   * @return ID number and name
   */
    @Override
    public String toString()
    {
        return "ActionSequenceType " + getValue() + " " + name(); 
    }
}
