/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 885,
 * marshal size 16;
 * ArticulatedPartsParameterTypeClass has 253 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum ArticulatedPartsParameterTypeClass 
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** Not Specified */
    // autogenerated using string template disenumpart2.txt
    NOT_SPECIFIED (0, "Not Specified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Rudder */
    // autogenerated using string template disenumpart2.txt
    RUDDER (1, "Rudder"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Flap */
    // autogenerated using string template disenumpart2.txt
    LEFT_FLAP (2, "Left Flap"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Flap */
    // autogenerated using string template disenumpart2.txt
    RIGHT_FLAP (3, "Right Flap"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Aileron */
    // autogenerated using string template disenumpart2.txt
    LEFT_AILERON (4, "Left Aileron"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Aileron */
    // autogenerated using string template disenumpart2.txt
    RIGHT_AILERON (5, "Right Aileron"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Helicopter - Main Rotor */
    // autogenerated using string template disenumpart2.txt
    HELICOPTER_MAIN_ROTOR (6, "Helicopter - Main Rotor"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Helicopter - Tail Rotor */
    // autogenerated using string template disenumpart2.txt
    HELICOPTER_TAIL_ROTOR (7, "Helicopter - Tail Rotor"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Other Aircraft Control Surfaces Defined as Needed */
    // autogenerated using string template disenumpart2.txt
    OTHER_AIRCRAFT_CONTROL_SURFACES_DEFINED_AS_NEEDED (8, "Other Aircraft Control Surfaces Defined as Needed"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Propeller Number 1 */
    // autogenerated using string template disenumpart2.txt
    PROPELLER_NUMBER_1 (9, "Propeller Number 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Propeller Number 2 */
    // autogenerated using string template disenumpart2.txt
    PROPELLER_NUMBER_2 (10, "Propeller Number 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Propeller Number 3 */
    // autogenerated using string template disenumpart2.txt
    PROPELLER_NUMBER_3 (11, "Propeller Number 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Propeller Number 4 */
    // autogenerated using string template disenumpart2.txt
    PROPELLER_NUMBER_4 (12, "Propeller Number 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Stabilator (Stabilator Number 1) */
    // autogenerated using string template disenumpart2.txt
    LEFT_STABILATOR_STABILATOR_NUMBER_1 (13, "Left Stabilator (Stabilator Number 1)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Stabilator (Stabilator Number 2) */
    // autogenerated using string template disenumpart2.txt
    RIGHT_STABILATOR_STABILATOR_NUMBER_2 (14, "Right Stabilator (Stabilator Number 2)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Ruddervator (Ruddervator Number 1) */
    // autogenerated using string template disenumpart2.txt
    LEFT_RUDDERVATOR_RUDDERVATOR_NUMBER_1 (15, "Left Ruddervator (Ruddervator Number 1)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Ruddervator (Ruddervator Number 2) */
    // autogenerated using string template disenumpart2.txt
    RIGHT_RUDDERVATOR_RUDDERVATOR_NUMBER_2 (16, "Right Ruddervator (Ruddervator Number 2)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Leading Edge Flap/Slat */
    // autogenerated using string template disenumpart2.txt
    LEFT_LEADING_EDGE_FLAP_SLAT (17, "Left Leading Edge Flap/Slat"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Leading Edge Flap/Slat */
    // autogenerated using string template disenumpart2.txt
    RIGHT_LEADING_EDGE_FLAP_SLAT (18, "Right Leading Edge Flap/Slat"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Elevator */
    // autogenerated using string template disenumpart2.txt
    LEFT_ELEVATOR (19, "Left Elevator"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Elevator */
    // autogenerated using string template disenumpart2.txt
    RIGHT_ELEVATOR (20, "Right Elevator"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Canard (left) */
    // autogenerated using string template disenumpart2.txt
    CANARD_LEFT (21, "Canard (left)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Canard (right) */
    // autogenerated using string template disenumpart2.txt
    CANARD_RIGHT (22, "Canard (right)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Elevon Inner (left) */
    // autogenerated using string template disenumpart2.txt
    ELEVON_INNER_LEFT (23, "Elevon Inner (left)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Elevon Inner (right) */
    // autogenerated using string template disenumpart2.txt
    ELEVON_INNER_RIGHT (24, "Elevon Inner (right)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Elevon Middle (left) */
    // autogenerated using string template disenumpart2.txt
    ELEVON_MIDDLE_LEFT (25, "Elevon Middle (left)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Elevon Middle (right) */
    // autogenerated using string template disenumpart2.txt
    ELEVON_MIDDLE_RIGHT (26, "Elevon Middle (right)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Elevon Outer (left) */
    // autogenerated using string template disenumpart2.txt
    ELEVON_OUTER_LEFT (27, "Elevon Outer (left)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Elevon Outer (right) */
    // autogenerated using string template disenumpart2.txt
    IDENTIFICATION_FRIEND_OR_FOE (28, "Elevon Outer (right)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Canopy (Aircraft) */
    // autogenerated using string template disenumpart2.txt
    CANOPY_AIRCRAFT (29, "Canopy (Aircraft)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Spoiler (left) */
    // autogenerated using string template disenumpart2.txt
    SUPPLEMENTAL_EMISSION_ENTITY_STATE (30, "Spoiler (left)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Spoiler (right) */
    // autogenerated using string template disenumpart2.txt
    SPOILER_RIGHT (31, "Spoiler (right)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Periscope */
    // autogenerated using string template disenumpart2.txt
    PERISCOPE (33, "Periscope"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Generic Antenna */
    // autogenerated using string template disenumpart2.txt
    GENERIC_ANTENNA (34, "Generic Antenna"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Snorkel */
    // autogenerated using string template disenumpart2.txt
    SNORKEL (35, "Snorkel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Other Extendible Parts Defined as Needed */
    // autogenerated using string template disenumpart2.txt
    OTHER_EXTENDIBLE_PARTS_DEFINED_AS_NEEDED (36, "Other Extendible Parts Defined as Needed"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dive Plane (Sail) - Left */
    // autogenerated using string template disenumpart2.txt
    DIVE_PLANE_SAIL_LEFT (37, "Dive Plane (Sail) - Left"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dive Plane (Sail) - Right */
    // autogenerated using string template disenumpart2.txt
    DIVE_PLANE_SAIL_RIGHT (38, "Dive Plane (Sail) - Right"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dive Plane (Bow) - Left */
    // autogenerated using string template disenumpart2.txt
    DIVE_PLANE_BOW_LEFT (39, "Dive Plane (Bow) - Left"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dive Plane (Bow) - Right */
    // autogenerated using string template disenumpart2.txt
    DIVE_PLANE_BOW_RIGHT (40, "Dive Plane (Bow) - Right"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dive Plane (Stern) - Left */
    // autogenerated using string template disenumpart2.txt
    DIVE_PLANE_STERN_LEFT (41, "Dive Plane (Stern) - Left"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dive Plane (Stern) - Right */
    // autogenerated using string template disenumpart2.txt
    DIVE_PLANE_STERN_RIGHT (42, "Dive Plane (Stern) - Right"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Landing Gear */
    // autogenerated using string template disenumpart2.txt
    RECORD_QUERY_RELIABLE (65, "Landing Gear"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tail Hook */
    // autogenerated using string template disenumpart2.txt
    TAIL_HOOK (66, "Tail Hook"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Speed Brake */
    // autogenerated using string template disenumpart2.txt
    SPEED_BRAKE (67, "Speed Brake"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Door of Primary Weapon Bay */
    // autogenerated using string template disenumpart2.txt
    LEFT_DOOR_OF_PRIMARY_WEAPON_BAY (68, "Left Door of Primary Weapon Bay"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Door of Primary Weapon Bay */
    // autogenerated using string template disenumpart2.txt
    RIGHT_DOOR_OF_PRIMARY_WEAPON_BAY (69, "Right Door of Primary Weapon Bay"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tank or APC Hatch */
    // autogenerated using string template disenumpart2.txt
    TANK_OR_APC_HATCH (70, "Tank or APC Hatch"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wingsweep */
    // autogenerated using string template disenumpart2.txt
    WINGSWEEP (71, "Wingsweep"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bridge Launcher */
    // autogenerated using string template disenumpart2.txt
    BRIDGE_LAUNCHER (72, "Bridge Launcher"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bridge Section 1 */
    // autogenerated using string template disenumpart2.txt
    BRIDGE_SECTION_1 (73, "Bridge Section 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bridge Section 2 */
    // autogenerated using string template disenumpart2.txt
    BRIDGE_SECTION_2 (74, "Bridge Section 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bridge Section 3 */
    // autogenerated using string template disenumpart2.txt
    BRIDGE_SECTION_3 (75, "Bridge Section 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Blade 1 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_BLADE_1 (76, "Primary Blade 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Blade 2 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_BLADE_2 (77, "Primary Blade 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Boom */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_BOOM (78, "Primary Boom"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher Arm */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_ARM (79, "Primary Launcher Arm"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Other Fixed Position Parts Defined as Needed */
    // autogenerated using string template disenumpart2.txt
    OTHER_FIXED_POSITION_PARTS_DEFINED_AS_NEEDED (80, "Other Fixed Position Parts Defined as Needed"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Landing Gear - Nose */
    // autogenerated using string template disenumpart2.txt
    LANDING_GEAR_NOSE (81, "Landing Gear - Nose"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Landing Gear - Left Main */
    // autogenerated using string template disenumpart2.txt
    LANDING_GEAR_LEFT_MAIN (82, "Landing Gear - Left Main"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Landing Gear - Right Main */
    // autogenerated using string template disenumpart2.txt
    LANDING_GEAR_RIGHT_MAIN (83, "Landing Gear - Right Main"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Doors of Left Side Weapon Bay */
    // autogenerated using string template disenumpart2.txt
    DOORS_OF_LEFT_SIDE_WEAPON_BAY (84, "Doors of Left Side Weapon Bay"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Doors of Right Side Weapon Bay */
    // autogenerated using string template disenumpart2.txt
    DOORS_OF_RIGHT_SIDE_WEAPON_BAY (85, "Doors of Right Side Weapon Bay"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Spot/Search Light #1 */
    // autogenerated using string template disenumpart2.txt
    SPOT_SEARCH_LIGHT_1 (86, "Spot/Search Light #1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Spot/Search Light #2 */
    // autogenerated using string template disenumpart2.txt
    SPOT_SEARCH_LIGHT_2 (87, "Spot/Search Light #2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Spot/Search Light #3 */
    // autogenerated using string template disenumpart2.txt
    SPOT_SEARCH_LIGHT_3 (88, "Spot/Search Light #3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Spot/Search Light #4 */
    // autogenerated using string template disenumpart2.txt
    SPOT_SEARCH_LIGHT_4 (89, "Spot/Search Light #4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Landing Light */
    // autogenerated using string template disenumpart2.txt
    LANDING_LIGHT (90, "Landing Light"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 1 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_1 (97, "Primary Turret Number 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 2 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_2 (98, "Primary Turret Number 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 3 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_3 (99, "Primary Turret Number 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 4 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_4 (100, "Primary Turret Number 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 5 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_5 (101, "Primary Turret Number 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 6 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_6 (102, "Primary Turret Number 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 7 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_7 (103, "Primary Turret Number 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 8 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_8 (104, "Primary Turret Number 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 9 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_9 (105, "Primary Turret Number 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Turret Number 10 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_TURRET_NUMBER_10 (106, "Primary Turret Number 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 1 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_1 (107, "Primary Gun Number 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 2 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_2 (108, "Primary Gun Number 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 3 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_3 (109, "Primary Gun Number 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 4 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_4 (110, "Primary Gun Number 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 5 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_5 (111, "Primary Gun Number 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 6 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_6 (112, "Primary Gun Number 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 7 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_7 (113, "Primary Gun Number 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 8 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_8 (114, "Primary Gun Number 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 9 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_9 (115, "Primary Gun Number 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Gun Number 10 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_GUN_NUMBER_10 (116, "Primary Gun Number 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 1 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_1 (117, "Primary Launcher 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 2 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_2 (118, "Primary Launcher 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 3 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_3 (119, "Primary Launcher 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 4 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_4 (120, "Primary Launcher 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 5 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_5 (121, "Primary Launcher 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 6 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_6 (122, "Primary Launcher 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 7 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_7 (123, "Primary Launcher 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 8 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_8 (124, "Primary Launcher 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 9 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_9 (125, "Primary Launcher 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Launcher 10 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_LAUNCHER_10 (126, "Primary Launcher 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 1 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_1 (127, "Primary Defense Systems 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 2 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_2 (128, "Primary Defense Systems 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 3 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_3 (129, "Primary Defense Systems 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 4 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_4 (130, "Primary Defense Systems 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 5 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_5 (131, "Primary Defense Systems 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 6 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_6 (132, "Primary Defense Systems 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 7 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_7 (133, "Primary Defense Systems 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 8 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_8 (134, "Primary Defense Systems 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 9 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_9 (135, "Primary Defense Systems 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Defense Systems 10 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_DEFENSE_SYSTEMS_10 (136, "Primary Defense Systems 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 1 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_1 (137, "Primary Radar 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 2 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_2 (138, "Primary Radar 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 3 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_3 (139, "Primary Radar 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 4 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_4 (140, "Primary Radar 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 5 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_5 (141, "Primary Radar 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 6 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_6 (142, "Primary Radar 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 7 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_7 (143, "Primary Radar 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 8 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_8 (144, "Primary Radar 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 9 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_9 (145, "Primary Radar 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Radar 10 */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_RADAR_10 (146, "Primary Radar 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 1 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_1 (147, "Secondary Turret Number 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 2 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_2 (148, "Secondary Turret Number 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 3 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_3 (149, "Secondary Turret Number 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 4 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_4 (150, "Secondary Turret Number 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 5 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_5 (151, "Secondary Turret Number 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 6 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_6 (152, "Secondary Turret Number 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 7 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_7 (153, "Secondary Turret Number 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 8 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_8 (154, "Secondary Turret Number 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 9 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_9 (155, "Secondary Turret Number 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Turret Number 10 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_TURRET_NUMBER_10 (156, "Secondary Turret Number 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 1 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_1 (157, "Secondary Gun Number 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 2 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_2 (158, "Secondary Gun Number 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 3 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_3 (159, "Secondary Gun Number 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 4 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_4 (160, "Secondary Gun Number 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 5 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_5 (161, "Secondary Gun Number 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 6 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_6 (162, "Secondary Gun Number 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 7 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_7 (163, "Secondary Gun Number 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 8 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_8 (164, "Secondary Gun Number 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 9 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_9 (165, "Secondary Gun Number 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Gun Number 10 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_GUN_NUMBER_10 (166, "Secondary Gun Number 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 1 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_1 (167, "Secondary Launcher 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 2 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_2 (168, "Secondary Launcher 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 3 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_3 (169, "Secondary Launcher 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 4 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_4 (170, "Secondary Launcher 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 5 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_5 (171, "Secondary Launcher 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 6 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_6 (172, "Secondary Launcher 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 7 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_7 (173, "Secondary Launcher 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 8 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_8 (174, "Secondary Launcher 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 9 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_9 (175, "Secondary Launcher 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Launcher 10 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_LAUNCHER_10 (176, "Secondary Launcher 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 1 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_1 (177, "Secondary Defense Systems 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 2 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_2 (178, "Secondary Defense Systems 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 3 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_3 (179, "Secondary Defense Systems 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 4 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_4 (180, "Secondary Defense Systems 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 5 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_5 (181, "Secondary Defense Systems 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 6 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_6 (182, "Secondary Defense Systems 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 7 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_7 (183, "Secondary Defense Systems 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 8 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_8 (184, "Secondary Defense Systems 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 9 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_9 (185, "Secondary Defense Systems 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Defense Systems 10 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_DEFENSE_SYSTEMS_10 (186, "Secondary Defense Systems 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 1 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_1 (187, "Secondary Radar 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 2 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_2 (188, "Secondary Radar 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 3 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_3 (189, "Secondary Radar 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 4 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_4 (190, "Secondary Radar 4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 5 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_5 (191, "Secondary Radar 5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 6 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_6 (192, "Secondary Radar 6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 7 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_7 (193, "Secondary Radar 7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 8 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_8 (194, "Secondary Radar 8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 9 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_9 (195, "Secondary Radar 9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Radar 10 */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_RADAR_10 (196, "Secondary Radar 10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Deck Elevator #1 */
    // autogenerated using string template disenumpart2.txt
    DECK_ELEVATOR_1 (197, "Deck Elevator #1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Deck Elevator #2 */
    // autogenerated using string template disenumpart2.txt
    DECK_ELEVATOR_2 (198, "Deck Elevator #2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Catapult #1 */
    // autogenerated using string template disenumpart2.txt
    CATAPULT_1 (199, "Catapult #1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Catapult #2 */
    // autogenerated using string template disenumpart2.txt
    CATAPULT_2 (200, "Catapult #2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Jet Blast Deflector #1 */
    // autogenerated using string template disenumpart2.txt
    JET_BLAST_DEFLECTOR_1 (201, "Jet Blast Deflector #1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Jet Blast Deflector #2 */
    // autogenerated using string template disenumpart2.txt
    JET_BLAST_DEFLECTOR_2 (202, "Jet Blast Deflector #2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Arrestor Wires #1 */
    // autogenerated using string template disenumpart2.txt
    ARRESTOR_WIRES_1 (203, "Arrestor Wires #1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Arrestor Wires #2 */
    // autogenerated using string template disenumpart2.txt
    ARRESTOR_WIRES_2 (204, "Arrestor Wires #2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Arrestor Wires #3 */
    // autogenerated using string template disenumpart2.txt
    ARRESTOR_WIRES_3 (205, "Arrestor Wires #3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wing (or Rotor) Fold */
    // autogenerated using string template disenumpart2.txt
    WING_OR_ROTOR_FOLD (206, "Wing (or Rotor) Fold"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Fuselage Fold */
    // autogenerated using string template disenumpart2.txt
    FUSELAGE_FOLD (207, "Fuselage Fold"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Main Cargo Door */
    // autogenerated using string template disenumpart2.txt
    MAIN_CARGO_DOOR (208, "Main Cargo Door"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Ramp */
    // autogenerated using string template disenumpart2.txt
    CARGO_RAMP (209, "Cargo Ramp"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Air-to-Air Refueling Boom */
    // autogenerated using string template disenumpart2.txt
    AIR_TO_AIR_REFUELING_BOOM (210, "Air-to-Air Refueling Boom"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Primary Aerial Refueling Receptacle Door */
    // autogenerated using string template disenumpart2.txt
    PRIMARY_AERIAL_REFUELING_RECEPTACLE_DOOR (211, "Primary Aerial Refueling Receptacle Door"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Secondary Aerial Refueling Receptacle Door */
    // autogenerated using string template disenumpart2.txt
    SECONDARY_AERIAL_REFUELING_RECEPTACLE_DOOR (212, "Secondary Aerial Refueling Receptacle Door"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Aerial Refueling Receptacle Latch */
    // autogenerated using string template disenumpart2.txt
    AERIAL_REFUELING_RECEPTACLE_LATCH (213, "Aerial Refueling Receptacle Latch"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #1 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_1 (214, "Cargo Door #1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #2 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_2 (215, "Cargo Door #2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #3 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_3 (216, "Cargo Door #3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #4 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_4 (217, "Cargo Door #4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #5 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_5 (218, "Cargo Door #5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #6 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_6 (219, "Cargo Door #6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #7 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_7 (220, "Cargo Door #7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #8 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_8 (221, "Cargo Door #8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #9 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_9 (222, "Cargo Door #9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cargo Door #10 */
    // autogenerated using string template disenumpart2.txt
    CARGO_DOOR_10 (223, "Cargo Door #10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Centre Refuelling Drogue */
    // autogenerated using string template disenumpart2.txt
    CENTRE_REFUELLING_DROGUE (224, "Centre Refuelling Drogue"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Port Refuelling Drogue */
    // autogenerated using string template disenumpart2.txt
    PORT_REFUELLING_DROGUE (225, "Port Refuelling Drogue"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Starboard Refuelling Drogue */
    // autogenerated using string template disenumpart2.txt
    STARBOARD_REFUELLING_DROGUE (226, "Starboard Refuelling Drogue"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Engine Exhaust Mast */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_ENGINE_EXHAUST_MAST (227, "Submarine Engine Exhaust Mast"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #1 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_1 (228, "Submarine Mast #1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #2 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_2 (229, "Submarine Mast #2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #3 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_3 (230, "Submarine Mast #3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #4 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_4 (231, "Submarine Mast #4"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #5 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_5 (232, "Submarine Mast #5"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #6 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_6 (233, "Submarine Mast #6"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #7 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_7 (234, "Submarine Mast #7"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #8 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_8 (235, "Submarine Mast #8"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #9 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_9 (236, "Submarine Mast #9"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Submarine Mast #10 */
    // autogenerated using string template disenumpart2.txt
    SUBMARINE_MAST_10 (237, "Submarine Mast #10"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Vectored Thrust Nozzle */
    // autogenerated using string template disenumpart2.txt
    VECTORED_THRUST_NOZZLE (238, "Vectored Thrust Nozzle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Door of the Left Weapon Bay */
    // autogenerated using string template disenumpart2.txt
    LEFT_DOOR_OF_THE_LEFT_WEAPON_BAY (239, "Left Door of the Left Weapon Bay"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Door of the Left Weapon Bay */
    // autogenerated using string template disenumpart2.txt
    RIGHT_DOOR_OF_THE_LEFT_WEAPON_BAY (240, "Right Door of the Left Weapon Bay"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Door of the Right Weapon Bay */
    // autogenerated using string template disenumpart2.txt
    LEFT_DOOR_OF_THE_RIGHT_WEAPON_BAY (241, "Left Door of the Right Weapon Bay"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Door of the Right Weapon Bay */
    // autogenerated using string template disenumpart2.txt
    RIGHT_DOOR_OF_THE_RIGHT_WEAPON_BAY (242, "Right Door of the Right Weapon Bay"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Gun Door */
    // autogenerated using string template disenumpart2.txt
    GUN_DOOR (243, "Gun Door"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Countermeasure Door Left */
    // autogenerated using string template disenumpart2.txt
    COUNTERMEASURE_DOOR_LEFT (244, "Countermeasure Door Left"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Countermeasure Door Right */
    // autogenerated using string template disenumpart2.txt
    COUNTERMEASURE_DOOR_RIGHT (245, "Countermeasure Door Right"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Hook Door Forward */
    // autogenerated using string template disenumpart2.txt
    HOOK_DOOR_FORWARD (246, "Hook Door Forward"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Hook Door Aft */
    // autogenerated using string template disenumpart2.txt
    HOOK_DOOR_AFT (247, "Hook Door Aft"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Lift Fan Upper Door */
    // autogenerated using string template disenumpart2.txt
    LIFT_FAN_UPPER_DOOR (248, "Lift Fan Upper Door"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Lift Fan Lower Door Left */
    // autogenerated using string template disenumpart2.txt
    LIFT_FAN_LOWER_DOOR_LEFT (249, "Lift Fan Lower Door Left"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Lift Fan Lower Door Right */
    // autogenerated using string template disenumpart2.txt
    LIFT_FAN_LOWER_DOOR_RIGHT (250, "Lift Fan Lower Door Right"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Refuel Probe Door */
    // autogenerated using string template disenumpart2.txt
    REFUEL_PROBE_DOOR (251, "Refuel Probe Door"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Left Engine Nacelle */
    // autogenerated using string template disenumpart2.txt
    LEFT_ENGINE_NACELLE (252, "Left Engine Nacelle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Right Engine Nacelle */
    // autogenerated using string template disenumpart2.txt
    RIGHT_ENGINE_NACELLE (253, "Right Engine Nacelle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 1st Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _1ST_LEFT_WHEEL (254, "1st Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 1st Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _1ST_RIGHT_WHEEL (255, "1st Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 2nd Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _2ND_LEFT_WHEEL (256, "2nd Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 2nd Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _2ND_RIGHT_WHEEL (257, "2nd Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 3rd Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _3RD_LEFT_WHEEL (258, "3rd Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 3rd Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _3RD_RIGHT_WHEEL (259, "3rd Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 4th Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _4TH_LEFT_WHEEL (260, "4th Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 4th Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _4TH_RIGHT_WHEEL (261, "4th Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 5th Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _5TH_LEFT_WHEEL (262, "5th Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 5th Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _5TH_RIGHT_WHEEL (263, "5th Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 6th Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _6TH_LEFT_WHEEL (264, "6th Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 6th Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _6TH_RIGHT_WHEEL (265, "6th Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 7th Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _7TH_LEFT_WHEEL (266, "7th Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 7th Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _7TH_RIGHT_WHEEL (267, "7th Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 8th Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _8TH_LEFT_WHEEL (268, "8th Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 8th Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _8TH_RIGHT_WHEEL (269, "8th Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9th Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _9TH_LEFT_WHEEL (270, "9th Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 9th Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _9TH_RIGHT_WHEEL (271, "9th Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 10th Left Wheel */
    // autogenerated using string template disenumpart2.txt
    _10TH_LEFT_WHEEL (272, "10th Left Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** 10th Right Wheel */
    // autogenerated using string template disenumpart2.txt
    _10TH_RIGHT_WHEEL (273, "10th Right Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Refueling Probe */
    // autogenerated using string template disenumpart2.txt
    REFUELING_PROBE (274, "Refueling Probe"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Steering Wheel */
    // autogenerated using string template disenumpart2.txt
    STEERING_WHEEL (275, "Steering Wheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane Body */
    // autogenerated using string template disenumpart2.txt
    CRANE_BODY (276, "Crane Body"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane Arm 1 */
    // autogenerated using string template disenumpart2.txt
    CRANE_ARM_1 (277, "Crane Arm 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane Arm 2 */
    // autogenerated using string template disenumpart2.txt
    CRANE_ARM_2 (278, "Crane Arm 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane Arm 3 */
    // autogenerated using string template disenumpart2.txt
    CRANE_ARM_3 (279, "Crane Arm 3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane Boom */
    // autogenerated using string template disenumpart2.txt
    CRANE_BOOM (280, "Crane Boom"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane Hook */
    // autogenerated using string template disenumpart2.txt
    CRANE_HOOK (281, "Crane Hook");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    ArticulatedPartsParameterTypeClass(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 16;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static ArticulatedPartsParameterTypeClass getEnumForValue(int value)
    {
       for (ArticulatedPartsParameterTypeClass nextEnum : ArticulatedPartsParameterTypeClass.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum ArticulatedPartsParameterTypeClass");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_16.txt

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeShort(getValue());
    }

    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.putShort((short)getValue());
    }
    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static ArticulatedPartsParameterTypeClass unmarshalEnum (DataInputStream dis) throws Exception
    {
        return getEnumForValue(dis.readUnsignedShort());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static ArticulatedPartsParameterTypeClass unmarshalEnum (ByteBuffer byteBuffer) throws Exception
    {
        return getEnumForValue(byteBuffer.getShort());
    }   

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 2; // 16 bits
    }
    
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

  /**
   * Provide simple identifier
   * @return ID number and name
   */
    @Override
    public String toString()
    {
        return "ArticulatedPartsParameterTypeClass " + getValue() + " " + name(); 
    }
}
