/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 44,
 * marshal size 8;
 * DeadReckoningAlgorithm has 10 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum DeadReckoningAlgorithm 
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Static - Non-moving Entity */
    // autogenerated using string template disenumpart2.txt
    STATIC_NON_MOVING_ENTITY (1, "Static - Non-moving Entity"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** DRM (FPW) - Constant Velocity / Low Acceleration Linear Motion Entity */
    // autogenerated using string template disenumpart2.txt
    DRM_FPW_CONSTANT_VELOCITY_LOW_ACCELERATION_LINEAR_MOTION_ENTITY (2, "DRM (FPW) - Constant Velocity / Low Acceleration Linear Motion Entity"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** DRM (RPW) - Constant Velocity / Low Acceleration Linear Motion Entity with Extrapolation of Orientation */
    // autogenerated using string template disenumpart2.txt
    DRM_RPW_CONSTANT_VELOCITY_LOW_ACCELERATION_LINEAR_MOTION_ENTITY_WITH_EXTRAPOLATION_OF_ORIENTATION (3, "DRM (RPW) - Constant Velocity / Low Acceleration Linear Motion Entity with Extrapolation of Orientation"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** DRM (RVW) - High Speed or Maneuvering Entity with Extrapolation of Orientation */
    // autogenerated using string template disenumpart2.txt
    DRM_RVW_HIGH_SPEED_OR_MANEUVERING_ENTITY_WITH_EXTRAPOLATION_OF_ORIENTATION (4, "DRM (RVW) - High Speed or Maneuvering Entity with Extrapolation of Orientation"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** DRM (FVW) - High Speed or Maneuvering Entity */
    // autogenerated using string template disenumpart2.txt
    DRM_FVW_HIGH_SPEED_OR_MANEUVERING_ENTITY (5, "DRM (FVW) - High Speed or Maneuvering Entity"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** DRM (FPB) - Similar to FPW except in Body Coordinates */
    // autogenerated using string template disenumpart2.txt
    DRM_FPB_SIMILAR_TO_FPW_EXCEPT_IN_BODY_COORDINATES (6, "DRM (FPB) - Similar to FPW except in Body Coordinates"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** DRM (RPB) - Similar to RPW except in Body Coordinates */
    // autogenerated using string template disenumpart2.txt
    DRM_RPB_SIMILAR_TO_RPW_EXCEPT_IN_BODY_COORDINATES (7, "DRM (RPB) - Similar to RPW except in Body Coordinates"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** DRM (RVB) - Similar to RVW except in Body Coordinates */
    // autogenerated using string template disenumpart2.txt
    DRM_RVB_SIMILAR_TO_RVW_EXCEPT_IN_BODY_COORDINATES (8, "DRM (RVB) - Similar to RVW except in Body Coordinates"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** DRM (FVB) - Similar to FVW except in Body Coordinates */
    // autogenerated using string template disenumpart2.txt
    DRM_FVB_SIMILAR_TO_FVW_EXCEPT_IN_BODY_COORDINATES (9, "DRM (FVB) - Similar to FVW except in Body Coordinates");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    DeadReckoningAlgorithm(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 8;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static DeadReckoningAlgorithm getEnumForValue(int value)
    {
       for (DeadReckoningAlgorithm nextEnum : DeadReckoningAlgorithm.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum DeadReckoningAlgorithm");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_8.txt

    private boolean TRACE = false;

    /** Set tracing on/off for this object 
     * @param value whether tracing is on or off */
    public void setTRACE (boolean value)
    {
        TRACE = value;
    }

    /** Whether tracing is on or off for this object
     * @return whether tracing is on or off */
    public boolean getTRACE ()
    {
        return TRACE;
    }

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeByte(getValue());
    }
    
    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.put((byte)getValue());
    }

    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static DeadReckoningAlgorithm unmarshalEnum (DataInputStream dis) throws Exception
    {
       /* try {
            value = dis.readUnsignedByte();
        }
        catch(IOException ex) {
            showError(ex);
        } */
        
        return getEnumForValue(dis.readByte());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static DeadReckoningAlgorithm unmarshalEnum(ByteBuffer byteBuffer) throws Exception
    {
        /*
        try {
            value = (int)byteBuffer.get();
        }
        catch(Exception ex) {
            showError(ex);
        }
        */
        return getEnumForValue(byteBuffer.get());
    }

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 1; // 8 bits
    }
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

    
  /**
   * Provide simple identifier
   * @return class name, value and name
   */
    @Override
    public String toString()
    {
        String padding = new String();
        if (this.getClass().getName().endsWith("DisPduType") && (getValue() < 10))
            padding = "0"; // leading zero for column spacing
        String result = this.getClass().getSimpleName() + " " + padding + getValue() + " " + name();
        if (getTRACE())
            System.out.println ("*** enum " + this.getClass().getSimpleName() + " name=" + name() + ", value=" + getValue() + "; " +
               result); // debug diagnostic
        return result;
    }
}
