/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1withfootnote.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 434, marshal size 8;
 * PlatformLandConstructionSpecialtyVehicleSubcategories has 56 enumerations total.
 * Subcategories for Land Platform Category 87
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum PlatformLandConstructionSpecialtyVehicleSubcategories implements SubCategory
{

    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tug */
    // autogenerated using string template disenumpart2.txt
    TUG (1, "Tug"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Forklift */
    // autogenerated using string template disenumpart2.txt
    FORKLIFT (2, "Forklift"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Loader */
    // autogenerated using string template disenumpart2.txt
    LOADER (3, "Loader"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Loader, Backhoe */
    // autogenerated using string template disenumpart2.txt
    LOADER_BACKHOE (4, "Loader, Backhoe"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane, Tractor Mounted */
    // autogenerated using string template disenumpart2.txt
    CRANE_TRACTOR_MOUNTED (5, "Crane, Tractor Mounted"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane, Wheeled */
    // autogenerated using string template disenumpart2.txt
    CRANE_WHEELED (6, "Crane, Wheeled"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Grader */
    // autogenerated using string template disenumpart2.txt
    GRADER (7, "Grader"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Road Roller, Other */
    // autogenerated using string template disenumpart2.txt
    ROAD_ROLLER_OTHER (8, "Road Roller, Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Road Roller, Double Drum, Smooth */
    // autogenerated using string template disenumpart2.txt
    ROAD_ROLLER_DOUBLE_DRUM_SMOOTH (9, "Road Roller, Double Drum, Smooth"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Road Roller, Single Drum, Smooth */
    // autogenerated using string template disenumpart2.txt
    ROAD_ROLLER_SINGLE_DRUM_SMOOTH (10, "Road Roller, Single Drum, Smooth"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Road Roller, Double Drum, Sheeps */
    // autogenerated using string template disenumpart2.txt
    ROAD_ROLLER_DOUBLE_DRUM_SHEEPS (11, "Road Roller, Double Drum, Sheeps"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Road Roller, Single Drum, Sheeps */
    // autogenerated using string template disenumpart2.txt
    ROAD_ROLLER_SINGLE_DRUM_SHEEPS (12, "Road Roller, Single Drum, Sheeps"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Road Roller, Pneumatic Tired */
    // autogenerated using string template disenumpart2.txt
    ROAD_ROLLER_PNEUMATIC_TIRED (13, "Road Roller, Pneumatic Tired"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Excavator, Other */
    // autogenerated using string template disenumpart2.txt
    EXCAVATOR_OTHER (14, "Excavator, Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Excavator, Dragline */
    // autogenerated using string template disenumpart2.txt
    EXCAVATOR_DRAGLINE (15, "Excavator, Dragline"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Excavator, Long Reach */
    // autogenerated using string template disenumpart2.txt
    EXCAVATOR_LONG_REACH (16, "Excavator, Long Reach"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Excavator, Mobile Tire */
    // autogenerated using string template disenumpart2.txt
    EXCAVATOR_MOBILE_TIRE (17, "Excavator, Mobile Tire"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Mini Excavator */
    // autogenerated using string template disenumpart2.txt
    MINI_EXCAVATOR (18, "Mini Excavator"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Excavator Giant */
    // autogenerated using string template disenumpart2.txt
    EXCAVATOR_GIANT (19, "Excavator Giant"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bulldozer, Tractor Mounted */
    // autogenerated using string template disenumpart2.txt
    BULLDOZER_TRACTOR_MOUNTED (20, "Bulldozer, Tractor Mounted"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bulldozer, Tracked */
    // autogenerated using string template disenumpart2.txt
    BULLDOZER_TRACKED (21, "Bulldozer, Tracked"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Scraper */
    // autogenerated using string template disenumpart2.txt
    SCRAPER (22, "Scraper"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Skid Steer */
    // autogenerated using string template disenumpart2.txt
    SKID_STEER (23, "Skid Steer"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dump Truck, Other */
    // autogenerated using string template disenumpart2.txt
    DUMP_TRUCK_OTHER (24, "Dump Truck, Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dump Truck, Articulated */
    // autogenerated using string template disenumpart2.txt
    DUMP_TRUCK_ARTICULATED (25, "Dump Truck, Articulated"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dump Truck, Transfer */
    // autogenerated using string template disenumpart2.txt
    DUMP_TRUCK_TRANSFER (26, "Dump Truck, Transfer"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dump Truck, Super */
    // autogenerated using string template disenumpart2.txt
    DUMP_TRUCK_SUPER (27, "Dump Truck, Super"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dump Truck, Off Road */
    // autogenerated using string template disenumpart2.txt
    IDENTIFICATION_FRIEND_OR_FOE (28, "Dump Truck, Off Road"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Paver */
    // autogenerated using string template disenumpart2.txt
    PAVER (29, "Paver"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Drilling Machine */
    // autogenerated using string template disenumpart2.txt
    SUPPLEMENTAL_EMISSION_ENTITY_STATE (30, "Drilling Machine"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Concrete Mixer, Other */
    // autogenerated using string template disenumpart2.txt
    CONCRETE_MIXER_OTHER (31, "Concrete Mixer, Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Concrete Mixer, Rear Discharge */
    // autogenerated using string template disenumpart2.txt
    CONCRETE_MIXER_REAR_DISCHARGE (32, "Concrete Mixer, Rear Discharge"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Concrete Mixer, Front Discharge */
    // autogenerated using string template disenumpart2.txt
    CONCRETE_MIXER_FRONT_DISCHARGE (33, "Concrete Mixer, Front Discharge"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Concrete Mixer, Six Axle */
    // autogenerated using string template disenumpart2.txt
    CONCRETE_MIXER_SIX_AXLE (34, "Concrete Mixer, Six Axle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Concrete Mixer, Long Reach Boom */
    // autogenerated using string template disenumpart2.txt
    CONCRETE_MIXER_LONG_REACH_BOOM (35, "Concrete Mixer, Long Reach Boom"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Concrete Mixer, Volumetric */
    // autogenerated using string template disenumpart2.txt
    CONCRETE_MIXER_VOLUMETRIC (36, "Concrete Mixer, Volumetric"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trencher, Chain */
    // autogenerated using string template disenumpart2.txt
    TRENCHER_CHAIN (37, "Trencher, Chain"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Trencher, Rockwheel */
    // autogenerated using string template disenumpart2.txt
    TRENCHER_ROCKWHEEL (38, "Trencher, Rockwheel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Snowcat */
    // autogenerated using string template disenumpart2.txt
    SNOWCAT (39, "Snowcat"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane, Tracked */
    // autogenerated using string template disenumpart2.txt
    CRANE_TRACKED (40, "Crane, Tracked"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane, Shovel */
    // autogenerated using string template disenumpart2.txt
    CRANE_SHOVEL (41, "Crane, Shovel"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sweeper, Rotary */
    // autogenerated using string template disenumpart2.txt
    SWEEPER_ROTARY (42, "Sweeper, Rotary"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Roller, Vibratory Compactor */
    // autogenerated using string template disenumpart2.txt
    ROLLER_VIBRATORY_COMPACTOR (43, "Roller, Vibratory Compactor"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Fork Lift, Truck */
    // autogenerated using string template disenumpart2.txt
    FORK_LIFT_TRUCK (44, "Fork Lift, Truck"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Fork Lift, Rought Terrain */
    // autogenerated using string template disenumpart2.txt
    FORK_LIFT_ROUGHT_TERRAIN (45, "Fork Lift, Rought Terrain"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Transloader */
    // autogenerated using string template disenumpart2.txt
    TIME_SPACE_POSITION_INFORMATION (46, "Transloader"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Truck, Water, Construction */
    // autogenerated using string template disenumpart2.txt
    TRUCK_WATER_CONSTRUCTION (47, "Truck, Water, Construction"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Truck, Fuel Delivery */
    // autogenerated using string template disenumpart2.txt
    TRUCK_FUEL_DELIVERY (48, "Truck, Fuel Delivery"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Truck, Sawmill */
    // autogenerated using string template disenumpart2.txt
    LIVE_ENTITY_FIRE (49, "Truck, Sawmill"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Truck, Line Marking, Construction */
    // autogenerated using string template disenumpart2.txt
    LIVE_ENTITY_DETONATION (50, "Truck, Line Marking, Construction"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tractor, Industrial */
    // autogenerated using string template disenumpart2.txt
    CREATE_ENTITY_RELIABLE (51, "Tractor, Industrial"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Compactor, High Speed */
    // autogenerated using string template disenumpart2.txt
    REMOVE_ENTITY_RELIABLE (52, "Compactor, High Speed"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Truck, Drilling */
    // autogenerated using string template disenumpart2.txt
    START_RESUME_RELIABLE (53, "Truck, Drilling"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Truck, Drilling Support */
    // autogenerated using string template disenumpart2.txt
    STOP_FREEZE_RELIABLE (54, "Truck, Drilling Support"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Crane, Construction */
    // autogenerated using string template disenumpart2.txt
    ACKNOWLEDGE_RELIABLE (55, "Crane, Construction");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    PlatformLandConstructionSpecialtyVehicleSubcategories(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 8;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static PlatformLandConstructionSpecialtyVehicleSubcategories getEnumForValue(int value)
    {
       for (PlatformLandConstructionSpecialtyVehicleSubcategories nextEnum : PlatformLandConstructionSpecialtyVehicleSubcategories.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum PlatformLandConstructionSpecialtyVehicleSubcategories");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_8.txt

    private boolean TRACE = false;

    /** Set tracing on/off for this object 
     * @param value whether tracing is on or off */
    public void setTRACE (boolean value)
    {
        TRACE = value;
    }

    /** Whether tracing is on or off for this object
     * @return whether tracing is on or off */
    public boolean getTRACE ()
    {
        return TRACE;
    }

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeByte(getValue());
    }
    
    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.put((byte)getValue());
    }

    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformLandConstructionSpecialtyVehicleSubcategories unmarshalEnum (DataInputStream dis) throws Exception
    {
       /* try {
            value = dis.readUnsignedByte();
        }
        catch(IOException ex) {
            showError(ex);
        } */
        
        return getEnumForValue(dis.readByte());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformLandConstructionSpecialtyVehicleSubcategories unmarshalEnum(ByteBuffer byteBuffer) throws Exception
    {
        /*
        try {
            value = (int)byteBuffer.get();
        }
        catch(Exception ex) {
            showError(ex);
        }
        */
        return getEnumForValue(byteBuffer.get());
    }

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 1; // 8 bits
    }
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

    
  /**
   * Provide simple identifier
   * @return class name, value and name
   */
    @Override
    public String toString()
    {
        String padding = new String();
        if (this.getClass().getName().endsWith("DisPduType") && (getValue() < 10))
            padding = "0"; // leading zero for column spacing
        String result = this.getClass().getSimpleName() + " " + padding + getValue() + " " + name();
        if (getTRACE())
            System.out.println ("*** enum " + this.getClass().getSimpleName() + " name=" + name() + ", value=" + getValue() + "; " +
               result); // debug diagnostic
        return result;
    }
}
