/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1withfootnote.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 573, marshal size 16;
 * StatusType has 17 enumerations total.
 * CPU Usage 10-49; Memory Usage 50-99; Networking 100-149; Application Parameters 150-179
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum StatusType 
{

    // autogenerated using string template disenumfootnotecomment.txt

    /** Not Specified */
    // autogenerated using string template disenumpart2.txt
    NOT_SPECIFIED (0, "Not Specified"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** User */
    // autogenerated using string template disenumpart2.txt
    USER (10, "User"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** System */
    // autogenerated using string template disenumpart2.txt
    SYSTEM (11, "System"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** I/O */
    // autogenerated using string template disenumpart2.txt
    I_O (12, "I/O"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Idle */
    // autogenerated using string template disenumpart2.txt
    IDLE (13, "Idle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Steal */
    // autogenerated using string template disenumpart2.txt
    STEAL (14, "Steal"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Nice */
    // autogenerated using string template disenumpart2.txt
    NICE (15, "Nice"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Memory Free */
    // autogenerated using string template disenumpart2.txt
    LIVE_ENTITY_DETONATION (50, "Memory Free"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Memory Used */
    // autogenerated using string template disenumpart2.txt
    CREATE_ENTITY_RELIABLE (51, "Memory Used"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Swap Free */
    // autogenerated using string template disenumpart2.txt
    DATA_RELIABLE (60, "Swap Free"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Swap Used */
    // autogenerated using string template disenumpart2.txt
    EVENT_REPORT_RELIABLE (61, "Swap Used"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Swap Cached */
    // autogenerated using string template disenumpart2.txt
    COMMENT_RELIABLE (62, "Swap Cached"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Transmitted Packets/sec */
    // autogenerated using string template disenumpart2.txt
    TRANSMITTED_PACKETS_SEC (100, "Transmitted Packets/sec"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Transmitted Bytes/sec */
    // autogenerated using string template disenumpart2.txt
    TRANSMITTED_BYTES_SEC (101, "Transmitted Bytes/sec"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Received Packets/sec */
    // autogenerated using string template disenumpart2.txt
    RECEIVED_PACKETS_SEC (110, "Received Packets/sec"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Received Bytes/sec */
    // autogenerated using string template disenumpart2.txt
    RECEIVED_BYTES_SEC (111, "Received Bytes/sec"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Niceness Level */
    // autogenerated using string template disenumpart2.txt
    NICENESS_LEVEL (150, "Niceness Level");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    StatusType(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 16;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static StatusType getEnumForValue(int value)
    {
       for (StatusType nextEnum : StatusType.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum StatusType");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_16.txt

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeShort(getValue());
    }

    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.putShort((short)getValue());
    }
    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static StatusType unmarshalEnum (DataInputStream dis) throws Exception
    {
        return getEnumForValue(dis.readUnsignedShort());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static StatusType unmarshalEnum (ByteBuffer byteBuffer) throws Exception
    {
        return getEnumForValue(byteBuffer.getShort());
    }   

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 2; // 16 bits
    }
    
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

  /**
   * Provide simple identifier
   * @return ID number and name
   */
    @Override
    public String toString()
    {
        return "StatusType " + getValue() + " " + name(); 
    }
}
